.carousel-item {
    position: relative;
    height: 55vh;
    /* Altura do carrossel */
    overflow: hidden;
    /* Para garantir que os cantos arredondados não sejam cortados */
    border-radius: 15px;
    /* Arredonda os cantos do carrossel */
}

.carousel-item video {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    z-index: 1;
    transform: translate(-50%, -50%);
    object-fit: cover;
    border-radius: 15px;
    /* Arredonda os cantos do vídeo */
}

.carousel-item .youtube-video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100vw; /* Largura da tela inteira */
    height: 100vh; /* Altura da tela inteira */
    min-width: 100%;
    min-height: 100%;
    transform: translate(-50%, -50%);
    z-index: 1;
}

@media (max-width: 768px) {
    .carousel-item .youtube-video {
        position: absolute;
        top: 50%;
        left: 50%;
        width: auto; /* Permite ajuste automático da largura */
        height: auto; /* Permite ajuste automático da altura */
        min-width: 100vw; /* Garante preenchimento horizontal */
        min-height: 100vh; /* Garante preenchimento vertical */
        transform: translate(-50%, -50%);
        z-index: 1;
    }
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(to right, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0.85) 60%);
    z-index: 2;
    /* Fica acima do vídeo */
}


.carousel-control-prev,
.carousel-control-next {
    top: 32%; /* Posiciona as setas a 10px do topo */
    align-items: flex-start;
    z-index: 200;
}

.carousel-item .carousel-caption {
    position: absolute;
    display: flex;
    /* Ativa o Flexbox */
    justify-content: center;
    /* Centraliza horizontalmente */
    align-items: flex-start;
    /* Centraliza verticalmente */
    top: 0;
    /* Começa no topo */
    z-index: 2;
    /* Mantém o texto acima de outros elementos */
    color: white;
    /* Cor do texto */
    height: 100%;
    /* Define a altura como 100% do contêiner pai */
    padding: 0;
    /* Remove padding */
    margin: 0;
    /* Remove margin */
    flex-direction: column;
    text-align: left !important;
    /* Centraliza o texto horizontalmente */
    left: 5%;
    right: 5%;
    bottom: 0;
}

.carousel-item h5 {
    font-size: 20px;
    line-height: 18px;
}

.carousel-indicators {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    /* Alterar para center para centralizar verticalmente */
    gap: 5px;
    max-width: 100%;
    margin: 0;
    margin-right: 5%;
    margin-left: 5%;
    margin-top: 0;
    /* Remover margem negativa */
    height: auto;
    /* Forçar a altura para auto */
    overflow: visible;
    /* Para garantir que o conteúdo seja visível */
    /* flex-wrap: wrap; quebra linha das logos*/
}




.carousel-indicators [data-bs-target] {
    width: auto;
    background-color: transparent;
    height: auto;
}

.carousel-indicators button {
    background: none;
    /* Remove fundo dos botões */
    border: none;
    /* Remove bordas dos botões */
    position: relative;
    /* Permite posicionar elementos internos */
    text-align: center;
    /* Centraliza conteúdo interno */
    margin-top: 10px;
    margin-bottom: 10px;
}

.carousel-indicators img {
    width: 100%;
    max-width: 120px;
    display: flex;
    justify-content: center;
    /* Centraliza horizontalmente */
    align-items: center;
    /* Alinha verticalmente */
    z-index: 100;
}

@media (max-width: 992px) {
    .carousel-item {
        height: 55vh;
    }

    .carousel-item .carousel-caption {
        width: 70%;
        left: 0;
        right: 0;
        margin: 0 auto;
    }

    .carousel-item h5 {
        font-size: 26px;
        line-height: 26px;
        margin-bottom: 5px;
    }

    .carousel-indicators {
        justify-content: center;
        align-items: flex-start;
    }

    .carousel-indicators img {
        width: 80%;
        max-width: 125px;
    }
}


/* Estilo do timer com fundo que preenche */
.timer {
    margin-bottom: 20px;
    width: 100%;
    /* Tamanho da barra de tempo */
    height: 4px;
    /* Altura da barra */
    background-color: #72728a;
    /* Cor de fundo (branco) */
    position: relative;
    overflow: hidden;
    /* Esconde o preenchimento quando menor que o container */
    border-radius: 50px;
}

.fill {
    height: 100%;
    width: 0;
    background-color: #FFFFFF;
    /* Cor de preenchimento (preto) */
    transition: width 1s linear;
    /* Transição suave */
}